## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemForwardCompatible Class Reference

`#include <ElemForwardCompatible.hpp>`

Inheritance diagram for ElemForwardCompatible:

[legend]
Collaboration diagram for ElemForwardCompatible:

[legend]
List of all members.

## Public Methods

- ElemForwardCompatible (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMChar *name, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an unknown XSLT element for forward-compatible processing. More...
- virtual ~ElemForwardCompatible ()
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual const ElemTemplateElement* startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e. More...
- virtual bool executeChildElement (StylesheetExecutionContext &executionContext, const ElemTemplateElement *element) const
    Filters sub-elements that should be executed. More...

## Static Public Methods

- ElemForwardCompatible* create (MemoryManagerType &theManager, StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMChar *name, const AttributeListType &atts, int lineNumber, int columnNumber)

## Constructor & Destructor Documentation

ElemForwardCompatible::ElemForwardCompatible ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const XalanDOMChar * name,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

  | Construct an object corresponding to an unknown XSLT element for forward-compatible processing. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  name | name of element
  atts | the attribute list
  lineNumber | line number in document
  columnNumber | column number in document

ElemForwardCompatible::~ElemForwardCompatible ( | )`[virtual]`

## Member Function Documentation

ElemForwardCompatible * ElemForwardCompatible::create ( | MemoryManagerType & theManager,
| StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const XalanDOMChar * name,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )`[static]`

bool ElemForwardCompatible::executeChildElement ( | StylesheetExecutionContext & executionContext,
| const ElemTemplateElement * element ) const`[virtual]`

  | Filters sub-elements that should be executed. Parameters:
  executionContext | context to execute element
  element | the element to be executed
Returns: true if element should be executed, false otherwise Reimplemented from ElemTemplateElement.

const XalanDOMString & ElemForwardCompatible::getElementName ( | ) const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Reimplemented from ElemTemplateElement.

const ElemTemplateElement * ElemForwardCompatible::startElement ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

  | Completes "pre-processing" before any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element. Parameters:
  executionContext | context to execute this element
Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemForwardCompatible.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.